Description

I'm attaching a BASIC listing of a PMG test program I wrote to assist in diagnosing an issue with the 1088XEL.  For fun, I tried

running it with the various Turbo speeds.  1, 2, 4 work perfectly.  8, 16, 32 display issues as shown in the linked Youtube video.

Using any BASIC, ENTER the attached program (this is text, not tokenized, so use ENTER, not LOAD).  run it at 4X, then run it at

8X.  It's like GTIA is fetching data at the wrong clock cycle.

https://youtu.be/Z0vqSs4UFts

History

#1 - 07/02/2017 05:54 AM - sadosp

Thanks Stephen!

#2 - 07/02/2017 01:10 PM - foft

Yeah, this kind of test program is very helpful. Thanks.

#3 - 10/28/2017 07:33 PM - foft

I noticed that on the v16 core with the OS in block ram (vs sdram) up to 16x works ok. But 32x has the artifacts.

#4 - 10/28/2017 09:29 PM - sadosp

foft wrote:

I noticed that on the v16 core with the OS in block ram (vs sdram) up to 16x works ok. But 32x has the artifacts.

 :-)  This mean progress!

#5 - 10/04/2018 09:41 PM - foft

- Priority changed from Normal to High

Another one that bugs me, will look at this next since I'm sure its trivial...

#6 - 10/04/2018 09:41 PM - foft

- Status changed from New to In Progress

#7 - 10/05/2018 09:32 PM - foft

Data is read on the first completed cycle in an 'original cycle'. Remember this is 32x clock. The problem is that if a cycle starts on the 32nd sub-cycle

and ends on the 1st cycle, we take that as the pmg data.

#8 - 10/07/2018 03:04 PM - foft

- Status changed from In Progress to Closed

There is a signal that tells gtia when to read the memory from the bus, correctly that signal's generation to allow for cpu cycles spanning the end of an

original cycle time.
sprites.lst 3.41 KB 07/02/2017 Stephen
